Enumerations | Functions
libebook::EPUBToken Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0, FIRST_TOKEN = EBOOKToken<EPUBParser>::FIRST_TOKEN, container, xml, xmlns, rootfiles, rootfile, signatures, encryption, version, full_path, media_type, _1_0, MIME_epub, MIME_opf, LAST_TOKEN }
enum | Namespace { NS_container = container << 16, NS_xml = xml << 16, NS_xmlns = xmlns << 16 }

## Functions
| BOOST_STATIC_ASSERT (EBOOKToken< EPUBParser >::LAST_TOKEN >=LAST_TOKEN)

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
container |
xml |
xmlns |
rootfiles |
rootfile |
signatures |
encryption |
version |
full_path |
media_type |
_1_0 |
MIME_epub |
MIME_opf |
LAST_TOKEN |

## § Namespace

enum libebook::EPUBToken::Namespace

Enumerator
NS_container |
NS_xml |
NS_xmlns |

## Function Documentation

## § BOOST_STATIC_ASSERT()

libebook::EPUBToken::BOOST_STATIC_ASSERT | ( | EBOOKToken< EPUBParser >::LAST_TOKEN >= | LAST_TOKEN | ) |